Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 86 lines (80 sloc) 3.231 kb
e4491bf @menno First release
authored
1 # Generated by jeweler
2 # DO NOT EDIT THIS FILE DIRECTLY
3 # Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
4 # -*- encoding: utf-8 -*-
5
6 Gem::Specification.new do |s|
7 s.name = %q{cloudfront_asset_host}
6fae7c1 @menno Version bump to 1.1.0
authored
8 s.version = "1.1.0"
e4491bf @menno First release
authored
9
10 s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
11 s.authors = ["Menno van der Sman"]
2ce8e3e @menno Use bundler for easier management of developer-dependencies
authored
12 s.date = %q{2010-10-02}
e4491bf @menno First release
authored
13 s.description = %q{Easy deployment of your assets on CloudFront or S3 using a simple rake-task. When enabled in production, the application's asset_host and public_paths will point to the correct location.}
14 s.email = %q{menno@wakoopa.com}
15 s.extra_rdoc_files = [
16 "README.markdown"
17 ]
18 s.files = [
4751c33 @menno Update Readme
authored
19 ".gitignore",
2ce8e3e @menno Use bundler for easier management of developer-dependencies
authored
20 "Gemfile",
21 "Gemfile.lock",
4751c33 @menno Update Readme
authored
22 "MIT-LICENSE",
e4491bf @menno First release
authored
23 "README.markdown",
24 "Rakefile",
25 "VERSION",
4751c33 @menno Update Readme
authored
26 "cloudfront_asset_host.gemspec",
e4491bf @menno First release
authored
27 "lib/cloudfront_asset_host.rb",
28 "lib/cloudfront_asset_host/asset_tag_helper_ext.rb",
4751c33 @menno Update Readme
authored
29 "lib/cloudfront_asset_host/css_rewriter.rb",
e4491bf @menno First release
authored
30 "lib/cloudfront_asset_host/mime_types.yml",
31 "lib/cloudfront_asset_host/uploader.rb",
6fae7c1 @menno Version bump to 1.1.0
authored
32 "test/app/config/s3-env.yml",
e4491bf @menno First release
authored
33 "test/app/config/s3.yml",
4751c33 @menno Update Readme
authored
34 "test/app/public/images/image.png",
e4491bf @menno First release
authored
35 "test/app/public/javascripts/application.js",
4751c33 @menno Update Readme
authored
36 "test/app/public/stylesheets/style.css",
e4491bf @menno First release
authored
37 "test/cloudfront_asset_host_test.rb",
4751c33 @menno Update Readme
authored
38 "test/css_rewriter_test.rb",
e4491bf @menno First release
authored
39 "test/test_helper.rb",
40 "test/uploader_test.rb"
41 ]
42 s.homepage = %q{http://github.com/menno/cloudfront_asset_host}
43 s.rdoc_options = ["--charset=UTF-8"]
44 s.require_paths = ["lib"]
2ce8e3e @menno Use bundler for easier management of developer-dependencies
authored
45 s.rubygems_version = %q{1.3.7}
e4491bf @menno First release
authored
46 s.summary = %q{Rails plugin to easily and efficiently deploy your assets on Amazon's S3 or CloudFront}
47 s.test_files = [
48 "test/cloudfront_asset_host_test.rb",
4751c33 @menno Update Readme
authored
49 "test/css_rewriter_test.rb",
e4491bf @menno First release
authored
50 "test/test_helper.rb",
51 "test/uploader_test.rb"
52 ]
53
54 if s.respond_to? :specification_version then
55 current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
56 s.specification_version = 3
57
2ce8e3e @menno Use bundler for easier management of developer-dependencies
authored
58 if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
e4491bf @menno First release
authored
59 s.add_runtime_dependency(%q<right_aws>, [">= 0"])
2ce8e3e @menno Use bundler for easier management of developer-dependencies
authored
60 s.add_development_dependency(%q<activesupport>, ["= 2.3.9"])
61 s.add_development_dependency(%q<actionpack>, ["= 2.3.9"])
62 s.add_development_dependency(%q<shoulda>, [">= 0"])
63 s.add_development_dependency(%q<mocha>, [">= 0"])
64 s.add_development_dependency(%q<redgreen>, [">= 0"])
65 s.add_development_dependency(%q<turn>, [">= 0"])
e4491bf @menno First release
authored
66 else
67 s.add_dependency(%q<right_aws>, [">= 0"])
2ce8e3e @menno Use bundler for easier management of developer-dependencies
authored
68 s.add_dependency(%q<activesupport>, ["= 2.3.9"])
69 s.add_dependency(%q<actionpack>, ["= 2.3.9"])
70 s.add_dependency(%q<shoulda>, [">= 0"])
71 s.add_dependency(%q<mocha>, [">= 0"])
72 s.add_dependency(%q<redgreen>, [">= 0"])
73 s.add_dependency(%q<turn>, [">= 0"])
e4491bf @menno First release
authored
74 end
75 else
76 s.add_dependency(%q<right_aws>, [">= 0"])
2ce8e3e @menno Use bundler for easier management of developer-dependencies
authored
77 s.add_dependency(%q<activesupport>, ["= 2.3.9"])
78 s.add_dependency(%q<actionpack>, ["= 2.3.9"])
79 s.add_dependency(%q<shoulda>, [">= 0"])
80 s.add_dependency(%q<mocha>, [">= 0"])
81 s.add_dependency(%q<redgreen>, [">= 0"])
82 s.add_dependency(%q<turn>, [">= 0"])
e4491bf @menno First release
authored
83 end
84 end
85
Something went wrong with that request. Please try again.